#include <avr/io.h>
#include <stdint.h>
#include <avr/interrupt.h>

#define DIPSWITCH							//use DIPs?
#define DMX_CHANNELS    (4)					//use at least 2ch
#define F_OSC		(8000)		  			//oscillator freq. in kHz (typical 8MHz or 16MHz)

enum {EVAL_DMX, IND};						//main flags
volatile uint8_t 	 Flags;					//Flags
volatile uint8_t	 DmxField[DMX_CHANNELS];	//array of DMX vals (raw)
volatile uint16_t	 DmxAddress;			//start address

extern void init_DMX(void);
extern void get_dips(void);
