#include <avr/io.h>
#include <stdint.h>
#include <avr/interrupt.h>


#define F_OSC		(8000)		  		//oscillator freq. in kHz (typical 8MHz or 16MHz)
#define X_MAX		(520)				//max position of X axis
#define Y_MAX		(520)				//max position of Y axis
#define ACC			(100)				//acceleration

#ifndef F_CPU
#define F_CPU (F_OSC *1000)
#endif

		int16_t	 Xtarget;				//target position of X axis
		int16_t	 Ytarget;				//target position of Y axis

			
// volatile uint8_t	 Flags;				//state flags


extern void init_stepper(void);
extern void check_step(void);
